----------------------------------------------------------------------------
G-Lock EasyMail Professional for Windows 98/NT/2000/XP      VERSION HISTORY
Version 4.51 / October 8, 2003.   
Copyright (C) 1999-2003 G-Lock Software. All Rights Reserved.

If you've got G-Lock EasyMail not from its web page, but from the other
source (magazine CD or some software library), please visit its home page
at http://www.glocksoft.com/em/ - you'll probably find the later version.
----------------------------------------------------------------------------

version 4.51 Professional

Added: in the Send Manager the ability to export to a file an email campaign history (From, Subject, Date) and the whole messages that were sent.

Fixed: the program could not load into the message images located on HTTPS web pages.

Few other fixes and improvements. 


version 4.50 Professional

To prevent usage of EasyMail for sending spam, removed the ability to send emails through socks and HTTP tunneling proxies.

version 4.41 Professional

Fixed: problem with the large font - when you set the large font in your system, the program window was not displayed correctly.

Fixed: a few minor bugs.


version 4.40 Professional

Added: ability to send only plain text messages to the recipients who prefer to receive text emails instead of HTML-formatted messages.

Added: ability to attach HTML file(s) to a plain text message for those recipients who prefer to receive text emails instead of HTML-formatted messages.

Added: ability to import in the Address Book contact lists with a 'flag' field specifying what messages either plain text or HTML you should send to the recipient. 

Note that if you upgrade the old version of the EasyMail to the latest one, before importing contacts you should restructure the appropriate group by inserting an additional TextOnly field that will store the needed 'flag'.

Added: ability to copy the exclusion list from one group to another.

Added: ability to remove duplicated email addresses from all the groups in the Address Book.


version 4.31 Professional

Added: ability to send a message to a filtered group. 

Fixed: if you had the "Remember last edited message" option checked and clicked the Send button just after opening the program, EasyMail did not fill up the selected group with the recipients' email addresses and the Status window showed empty.

Fixed: Repair.exe utility did not restore the Rules.DAT.


version 4.30 Professional

Added: ability to have duplicated email addresses within the same contact group (optionally).

Added: ability to edit the text part of a HTML message.

Added: the Expression Builder (internal parser) in the Import Wizard that allows you to  use extended functions and operations in Mappings definitions while importing your data.

Added: ability to add extra header fields to the message in the Delivery settings.

Added: ability to view email addresses that were skipped while importing a mailing list.

Added: new search conditions (does not start with, does not end with) in the Search/Filter engine.

Fixed: when the message is deleted from a group in the Send Manager window, the records for this message are also removed from the Outbox, Sent and Not Delivered folders.


version 4.20 Professional

Added: ability to import/export rules in the Rules Settings. Using these options you can easily move your rules to a file and later back them up when needed.

Added: options: "Load Exclusion List (Wizard)" and "Load Exclusion List from Mailing List"
in the Address Book/Import menu.

Added: Returned Email menu in the Address Book that allows you to:
-delete returned email addresses from the current group;
-delete returned email addresses from all the groups in the Address Book;
-move returned email addresses from the current group to another group in the Address Book;
-move returned email addresses from all the groups to a separate group in the Address Book.         

Fixed: the program hung when trying to send a single email from a non existent account.

version 4.1 Professional
Added: the "Disable email address autolookup in TO and BCC fields" option. This option is useful if you have large groups of contacts and the program needs a lot of time to find a specified email address when you type it in the TO/BCC box.
Fixed: the program generated a timeout error when sending a message with a large attachment.
Fixed: the program made a difference between capital and non capital letters in the
email address when using the remove/delete option in the Import Wizard.
Increased the speed of switching between groups in the Address Book. 
Few other fixes and improvements. 

version 4.0 Professional
Added: the "Stop sending after processing XX message(s)" option in the Delivery settings
Added: the "Clear 'Group' box after processing specified group(s)" option in the General settings
Added: ability to remove an email address or a number of emails that satisfy the appropriate mask from a selected group as well as from all the groups in the Address Book at one go

version 4.0 Professional Beta 5
Fixed: The program didn't save to the template neither to draft the group name you wanted to send a message to.
Fixed: some problems with the sending messages from the filtered Outbox.
The Repair.exe utility now supports workplaces.
Several minor changes, adjustments in the sending engine, and fixes


version 4.0 Professional BETA 4
Added: EasyMail now supports the ability to use up to 200 threads for the users who have a fast Internet connection: DSL/Cable, T-1, etc. 
Added: ability to set up the Indexed property for any field in the Address Book that allows sorting in a table by the indexed field.
Added: ability to import contacts from Microsoft Outlook.
Fixed: when you tried to insert a table without a border nor background color, the program inserted a yellow table.
Fixed: incorrect drawing of the Status bar on Windows XP.
Fixed: when you sent a message to the filtered group, the program didn't reset the search results until you closed it.
Fixed: "Cannot copy file" error when duplicating a workplace.

version 4.0 Professional BETA 3
Fixed: Access violation error when you insert a table into HTML message
Fixed: The program cannot send email if the port box in Accounts Settings is blank

version 4.0 Professional BETA 2
Added: ability to have the workplace (Address Book, signatures, templates, Send Manager) on any hard disk. 

Added: ability to search/filter email addresses or sending results by different parameters in the Send Manager.

Added: ability to schedule the date of message sending;

Added: ability to work with numerous SOCKS Proxy connections. This option is extremely useful if you would like your several socks proxy servers to be equally loaded.

Added: ability to work with numerous HTTP tunneling (CONNECT) proxy connections (standard HTTP proxys which support HTTP tunneling);

Added: 'Do Not Use Internal DNS Cache' option - the program stores found SMTP servers for specific email addresses in the internal DNS cache to speed up its work and not overload the DNS server with DNS queries. If the program often gives you the error like "DBISAM Engine Error in the DnsCache.Dat" , uncheck this option to turn off DNS caching.

Added: 'Clear the internal DNS cache every XX days' option - you can set up the time of storing SMTP servers in the internal DNS Cache. After that the DNS cache for the appropriate domain will be cleared. Sometimes for technical reasons MX records for some domains may be changed.  In this case the EasyMail will not be able to send an email to this domain. This option allows you to clear old records from the internal DNS cache and query for new SMTP servers every XX days.

Fixed: in some cases Easymail hangs when you press "Stop" on the Send Manager (all the buttons in the Status Monitor are greyed out). 

Fixed: if the Subject field contained the "Enter" symbol, the recipient received a message with the header in the message body.

Fixed: the Import Wizard didn't calculate duplicated emails.

Fixed: error while sending a message through a not working socks proxy server, the program skipped this server at the second attempt. 

version 3.41 (bug fixed release)
Fixed: a nasty bug when the program closes, in some cases there was the 'Access Violation' error message. 
Fixed: a memory leak error when sending messages using the ISP's SMTP server.
Improved the sending engine.

version 3.40
Fixed the 'Unable to locate file' problem when a path to a picture or sound file contains a back slash character. The problem occurred when a HTML document was prepared in a different HTML editor and then loaded into the Easymail.

Added: ATL + CTRL + E to put the sign (ˆ) for EURO in the message.

Added: ability to search for an email address in the Send Manager window. Just put the cursor on any email address and type the address you want to search for. The Status bar will show what you are typing. To begin searching for a new email address, press the Escape button.

Added: ability to remove from the Address Book emails located in the Outbox, Sent and Not Delivered folders in the Send Manager. The selected emails will be deleted from the Address Book but will stay in the appropriate folder.

Added: a text preview window for a HTML document which allows you to view your message as it will be viewed by recipients whose Email Client does not support HTML. 

version 3.32
Fixed the problem: when you saved a web page in the Internet Explorer on your HDD, then loaded it into the Easymail and add to the HTML source the string <base href="full path to your images">, images were sent as attachments in the HTML message. Now the HTML message is sent correctly.

version 3.31
Increased the speed of sending emails.
Fixed the problem with the sending a HTML message created in the different HTML editor in the case when the HTML message had a table with a background image.
Added: Ability to change account in Send Manager.

version 3.30
The version is fully compatible with Windows XP.
Improved the feature of processing the DNS queries.
Added: ability to determine automatically current Windows DNS settings.

version 3.22
Fixed: In some cases the program selected an old message and sent it instead of the new letter.
Improved Import option.

version 3.21
Fixed: Few known bugs
Added: Ability to change the X-Mailer field in the message header. To change the X-Mailer field, press <Ctrl+F12>
Import speed of simple mailing lists is increased more than 2 times. So, if you are importing a simple mailing list like below:

em@glocksoft.com
Alex Markov markov@glocksoft.com
"Support Service" support@glocksoft.com
"Sales Service" <sales@glocksoft.com>

please do not use the Import Wizard, but import through the 'Import' menu by clicking the the 'Import' button and selecting the 'Import Mailing List' menu item.


version 3.20
New: Rules Settings. This option allows you to set rules for some email / domain
addresses. There are 3 actions available for every email/domain address: 1. Do not
send e-mail - this rule allows you to forbid the sending of an email to the address
containing any keywords like *.gov, *.mil, etc. 2. Do not load into EasyMail - this
rule allows you to forbid loading of the email addresses containing any keywords
like *.gov, *.mil, etc. 3. Do not load and do not send - this rule allows you to
forbid both the loading and the sending of the email addresses containing any keywords
like *.gov, *@zwallet.com, webmaster@*, etc.
Added: Export from the Outbox, Sent and Not Delivered folders to Paradox, dBase,
Excel, Text (CSV), HTML, Word, SYLK, Lotus 1-2-3, QuattroPro, SQL script, XML, MS
Access database files
Fixed: The confirmation of reading comes back to the correct email address typed
in the 'Confirm Email Address' field
Fixed: Bounced email messages come back to the addresses typed in the  'Return E-mail
Address' field
Fixed: The 'Optimize Group' option works correctly when the records in the Address
Book begin from the forbidden character like "

version 3.11
Added: Set priority button on toolbar
Added: Ability to Import Mailing List from Clipboard
Fixed: Few minor bugs
Improved sending messages with large attachments

version 3.10
Added: Ability to remember the last edited message
Added: Ability to merge all fields from the Address Book
Added: The 'Dial-UP Networking' option for users who have a modem connection
Added: Ability to select the default font for HTML messages when you start editing a new message
Added: Replace option of the "To" field in the message header
Added: Ability to drag and drop the attachment from the Attach window to the Zip window
Added: The "Enable log for not delivered messages only" option
Fixed: Several minor bugs

version 3.0
Send Engine has been optimized and refined
Fixed: Problem on sending mail with an attachment (Timeout error)

version 3.0 Beta 4
Added: Ability to delete SMTP servers from the internal DNS cache (Send Manager)
Fixed: Processing the Merge fields in the Single Send Message mode when the Address Book has more than 1 group
Fixed: The problem with attachments in saved messages and templates

version 3.0 Beta 3
Added: The 'Optimize Groups' option in the Address Book. This option allows you to reduce the amount of space that the database takes up on your hard disk (pack your DB), to increase the speed of its work (reindex) as well as to remove nonexisting alphabetical tabs in the respective group.
Added: Ability to export the Address Book to Paradox, DBase, Excel, Text (CSV), HTML,
Word, SYLK, Lotus 1-2-3, QuattroPro, SQL script, XML, MS Access database files.
Added: Ability to choose the group to what messages will be sent (Status window)  
Fixed: The problem of remembering the font and its size
Fixed: The problem of remembering the field of searching and the size and the place of the Address Book
Fixed: The algorithm of the group mailing

version 3.0 Beta 2
Fixed: Merge option in plain text
Fixed: Losing of the attachments
Fixed: The 'Find recipient's address at all SMTP servers it is registered' option
Fixed: The Del button in plain text editor 
Fixed: The 'Word Wrap' option in plain text
Fixed: Problem with resize of Toolbar in HTMl message editor
Fixed: Editing was not allowed in HTML source editor
Added: Ability to add multiple attachments simultaneously
Added: Auto hide Status window when messages are sent
Added: Ability to bring up the Status window by pressing the button F9
Added: Ability to sort contacts by First and Last name in the Address Book
Added: The 'Enable processing visibility' option

version 3.0 Beta 1
New Graphical User Interface
Added: Full HTML support
Added: Ability to import email addresses from external sources through ODBC SQL  
Added: Ability to import email addresses from Windows Address Book (.WAB), Paradox, DBase, Excel, Text and .CSV files
New: Send Manager for automated storing of delivered messages and management of outgoing
emails.
New: Multi-language spell checker. Also available for free download are the following additional dictionaries: British, Italian, Spanish, Danish, French, German, Swedish.
New: Ability to work with the large groups of recipients

version 2.0a
Fix: EasyMail now retains the last selected option 'Show text labels'
Fix: 'Stay on top'  (F11) option work correctly now
Fix: working with address book (in group mailing)
Fix: Spell Checker work correctly now

version 2.0 
Add: Group mailing: you may send highly personalized message to members of the whole group in your Address Book
Add: Bcc field
Add: More than 1 e-mail simultaneously in Bcc and To fields
Add: Sending message according to the list of addresses in a specific TXT file
New and improved User Interface

version 1.74 
Fix: In the dialog "Save Voice", "Open" button now named "Save" button .
Fix: In the dialog "Settings", OK and CANCEL buttons now work correctly.
Fix: Message body now saved correctly in .gem format.
Add: Now the Address Book remembers the Group you select last time you worked in it (during current session only!)
Add: Sent items SORT BY option remembers the last filter selected 
Add: The two confirm buttons (read and delivery) remembers the last selection made, so that you don't have to select them every time you send new e-mail
Add: Drop-down lists items delete with pressing DEL button on keyboard
Add: Print message option

version 1.70 
New: Fast & easy voice recording with many compression formats according to your choice
New: Your message can talk to recipient without any additional handling
New: LOG output stored into a log file 
New: Compression of all attached files in one ZIP-archive possible
Add: The information about Delivery Confirmation, Reading Confirmation and Priority is stored in the appropriate fields in the Sent Items window.

version 1.60 build 20
Fix: Double click on the e-mail address in the Address Book
New: Font size change now available


version 1.60
Fix: Bug in the e-mail header ("sender name"@domain.com).
Fix: Error message when you have no address book in the newly installed program:
"Access violation at address xxxxxxxx in module "EASYMAIL.EXE".
New: Specially for Outlook Express users! Drag-and-drop message you want reply to directly in the Mail frame at the main window
New: Stay On Top button for easy handdling of OE messages
New: Saving/loading messages in internal .GEM format with saving information in fields From, To, Subject.
New: For some addresses not listed in DNS and/or SMTPs closed for external connections without special permissions (some .gov and .mil domains), you can use ISP button to try to deliver message with conventional way.
New: Sent Items folder for automated storing of delivered messages.
New: Multiple signatures and templates

version 1.5 build 10
Fix: Button Add/Edit now works correctly.

version 1.5
New: Drag-and-Drop text files into the body of the message directly
New: Drag-and-Drop atachments
New: Address Book with groups and alphabetic tabs
New: Multi-language spell checker

version 1.1-1.4 Internal releases

version 1.0 build 105
New: Now the programs checks the update availability through the Internet.
New: Set confirms that the recipient read the message received.
New: Availability to verify the recipient's address at all SMTP servers of ISP who hosts the recipient's InBox, found by the program.
Fix: Set Priority now available.